/**
 * 
 */
package org.springblade.config;

import org.springblade.core.config.SwaggerConfiguration;
import org.springblade.core.constant.AppConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2WebMvc;

/**
 * @author wookvn
 *
 */
@Configuration
@EnableSwagger2WebMvc
public class SwaggerConfig extends SwaggerConfiguration {

	@Bean
	public Docket materialDocket() {
		return docket("素材管理", AppConstant.BASE_PACKAGES + ".material");
	}
	
	@Bean
	public Docket authDocket() {
		return docket("授权模块", AppConstant.BASE_PACKAGES + ".modules.auth");
	}
	
	@Bean
	public Docket faceDocket() {
		return docket("人脸识别模块", AppConstant.BASE_PACKAGES + ".face");
	}

	@Bean
	public Docket wecomDocket() {
		return docket("企业微信模块", AppConstant.BASE_PACKAGES + ".wecom");
	}
	
	@Bean
	public Docket sysDocket() {
		return docket("系统模块",
				AppConstant.BASE_PACKAGES + ".modules.system", AppConstant.BASE_PACKAGES + ".modules.resource");
	}
}
